This is the mail archive of the cygwin mailing list for the Cygwin project.

Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]
Other format: [Raw text]

[ANNOUNCEMENT] Updated: setup (2.888)

A new version of Setup, release 2.888, has been uploaded to     (32 bit version)  (64 bit version)

Changes compared to 2.884:

User visible changes:
- In the package chooser, 'Current' is replaced by 'Best' (to more accurately summarize what it does) - Add 'Sync' as a choice, (which sets all packages to the version available from the package repository, downgrading if necessary, equivalent to the existing --force-current command line option). - These are modified by a 'Test' check-box, which allows test packages to be used. - The "prereq" page showing dependencies which will be added is replaced by "problems" page showing problems found by the dependency solver, with default solutions.
- A "confirm" page is added showing all the changes which will be made.

Internal changes:
- Uses the libsolv dependency solver, rather than a home-made one.
- Add support for 'depends2: package (relation version) [...]', in a version section in setup.ini
- Add support for 'obsoletes:' in setup.ini, likewise
- Add support for 'replace-versions:' in a package section setup.ini, to indicate problematic versions.

- Query the user for action to take if a corrupt local file is found
- Validate package hash after download
- Any MessageBox shown during setup.ini parsing is now modal

A big 'thank you' to Ken Brown for all his work on this.

Please send bug reports, as usual, to the public mailing list cygwin AT
cygwin DOT com.

Problem reports:
Unsubscribe info:

Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]